## eterm 0.8.7

=== src/graphics/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# $Id: Makefile.am,v 1.2 1998/10/13 23:23:29 mej Exp $


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/Eterm
pkglibdir = $(libdir)/Eterm
pkgincludedir = $(includedir)/Eterm

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
AR = ar
AUTHORS = Tuomo Venalainen (vendu@cc.hut.fi) and Michael Jennings (mej@tcserv.com)
CC = gcc
CFLAGS = -g -O2 -I/usr/X11R6/include
CHMOD = chmod
CP = cp
CPP = gcc -E
CPPFLAGS = 
CTAGS = ctags
DATE = 13 September 1998
DBX = no
DIST_ROOT = /home/balmeida/src/cvs/Eterm
EGCS = 
FEATURE_CMD = sed -e "s%@PREFIX@%/usr/local%g" -e "" -e "" ${DIST_ROOT}/src/feature.h.in > ${DIST_ROOT}/src/feature.h
GDB = /usr/bin/gdb
GRLIBS = -lImlib -lXext -lm -L/usr/lib -lImlib -ljpeg -ltiff -lungif -lpng -lz -lm -L/usr/X11R6/lib -lSM -lICE -lXext -lX11
IMLIB_CONFIG = imlib-config
LD = /usr/bin/ld
LDFLAGS = 
LIBS =  -lutil
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT = #M#
MAKEINFO = makeinfo
MKDIR = mkdir
MV = mv
NM = /usr/bin/nm -B
PACKAGE = Eterm
PGCC = 
PSTACK = no
RANLIB = ranlib
RM = rm
SED = sed
TAR = tar
THREADLIBS = 
VERSION = 0.8.7

bin_PROGRAMS = qplot

qplot_SOURCES = grxlib.c qplot.c

INCLUDES = -I. -I.. -I$(includedir) -I$(prefix)/include

LDADD = -L. -L.. -L$(libdir) -L$(prefix)/lib
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
qplot_OBJECTS =  grxlib.o qplot.o
qplot_LDADD = $(LDADD)
qplot_DEPENDENCIES = 
qplot_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

GZIP = --best
DEP_FILES =  .deps/grxlib.P .deps/qplot.P
SOURCES = $(qplot_SOURCES)
OBJECTS = $(qplot_OBJECTS)

all: Makefile $(PROGRAMS)

.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in: #M# Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/graphics/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

qplot: $(qplot_OBJECTS) $(qplot_DEPENDENCIES)
	@rm -f qplot
	$(LINK) $(qplot_LDFLAGS) $(qplot_OBJECTS) $(qplot_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/graphics

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/graphics/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).P -c $<

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).p -c $<
	@-sed -e 's/^\([^:]*\)\.o:/\1.lo \1.o:/' \
	  < .deps/$(*F).p > .deps/$(*F).P
	@-rm -f .deps/$(*F).p
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS
	@$(NORMAL_INSTALL)
	$(MAKE) install-exec-hook

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(DATADIR)$(bindir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

clean:  clean-binPROGRAMS clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean

distclean:  distclean-binPROGRAMS distclean-compile distclean-libtool \
		distclean-tags distclean-depend distclean-generic clean
	-rm -f config.status
	-rm -f libtool

maintainer-clean:  maintainer-clean-binPROGRAMS maintainer-clean-compile \
		maintainer-clean-libtool maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir \
mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info dvi installcheck install-exec install-data \
install uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean


install-exec-hook:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## eterm 0.9.2-0pre2002042903.3

=== debian/changelog ===
eterm (0.9.2-0pre2002042903.3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Disabled emitting ESC sequences [src/term.c, CAN-2003-0068]

 -- Martin Schulze <joey@infodrom.org>  Wed, 21 Apr 2004 11:22:49 +0200

eterm (0.9.2-0pre2002042903.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix a semantic error in the snprintf invocation introduced in the
    previous version

 -- Matt Zimmerman <mdz@debian.org>  Mon,  9 Jun 2003 14:27:29 -0400

eterm (0.9.2-0pre2002042903.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix PATH_ENV buffer overflow

 -- Matt Zimmerman <mdz@debian.org>  Thu,  5 Jun 2003 18:06:13 -0400

eterm (0.9.2-0pre2002042903) woody-proposed-updates unstable; urgency=low

  * sync the w-p-u and unstable updates

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 May 2002 19:27:50 +0000

eterm (0.9.2-0pre2002042902) woody-proposed-updates; urgency=high

  * corrects ESC code file writing hole, closes: 141374

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 May 2002 18:16:51 +0000

eterm (0.9.2-0pre2002042801) unstable; urgency=high

  * CVS snapshot
    * 24bpp transparency fixed, closes: 144536 144758
    * buttonbar.c ASSERT error fixed

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 28 Apr 2002 15:39:02 -0400

eterm (0.9.2-0pre2002042402) unstable; urgency=high

  * CVS snapshot, _major_ transparecy bug and minor bugs fixed

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 25 Apr 2002 11:28:23 -0400

eterm (0.9.2-0pre2002042401) unstable; urgency=low

  * CVS snapshot, transparency bug fixed .. somehow or another

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 24 Apr 2002 14:09:13 -0400

eterm (0.9.2-0pre2002042101) unstable; urgency=low

  * CVS snapshot
    * closes 143328, escape characters in --help output
    * corrects maintainer typo in defaultfont.c

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 21 Apr 2002 11:34:03 +0000

eterm (0.9.2-0pre2002041104) unstable; urgency=medium

  * altered the noenc/none corrections to match upstream source

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 15 Apr 2002 00:25:48 +0000

eterm (0.9.2-0pre2002041103) unstable; urgency=medium

  * CVS snapshot, 0.9.2 pre-release
  * copyright changed from GPL to a BSDish license at some point

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 14 Apr 2002 15:17:59 -0400

eterm (0.9.1-2) unstable; urgency=low

  * src/command.c: revert setlocale changes

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 11 Oct 2001 10:35:12 -0400

eterm (0.9.1-1) unstable; urgency=low

  * new upstream release
  * src/command.c: CVS revision 1.61, printscreen fix
  * src/events.c: CVS revision 1.48, remove useless code
  * src/font.c: CVS revision 1.29, --default-font-index fix
  * src/font.c: CVS revision 1.12, --default-font-index fix
  * src/term.c: CVS revision 1.69, vim escape sequence fix
  * src/term.h: CVS revision 1.19, vim escape sequence fix
  * src/command.c: use NULL instead of "" for setlocale, possible
    dead key / locale problem fix, needs testing

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  8 Oct 2001 12:21:00 -0400

eterm (0.9.1-0pre2001072201) unstable; urgency=low

  * new CVS snapshot
  * restore x-terminal-emulator alternative, closes: #106006 

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jul 2001 13:09:56 -0400

eterm (0.9.1-0pre2001071002) unstable; urgency=low

  * rebuild for versioned libast1 shlib, closes #104553

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 13 Jul 2001 14:26:35 -0400

eterm (0.9.1-0pre2001071001) unstable; urgency=low

  * new CVS snapshot
  * control: removed libc6-dev build dependency

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 10 Jul 2001 13:21:58 -0400

eterm (0.9.1-0pre2001062601) unstable; urgency=low

  * new CVS snapshot 

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 26 Jun 2001 14:31:50 -0400

eterm (0.9.1-0pre2001062001) unstable; urgency=low

  * new CVS snapshot
  * upstream anymod fix, Closes: #101161

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 20 Jun 2001 08:34:58 -0400

eterm (0.9.1-0pre2001061501) unstable; urgency=low

  * new CVS snapshot
  * eterm-utils.1: removed Etwinop
  * README.Debian: updated terminfo info

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 15 Jun 2001 18:41:05 -0400

eterm (0.9.1-0pre2001051702) unstable; urgency=low

  * source archive cleanup

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 30 May 2001 23:03:47 -0400

eterm (0.9.1-0pre2001051701) unstable; urgency=low

  * resync with the cvs tree 
  * add missing shlib dependencies, Closes: #97876
  * restore Eterm.ti and Eterm.tcap in docs/Eterm

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 17 May 2001 21:48:00 -0400

eterm (0.9.1-0pre2001051602) unstable; urgency=low

  * another CVS snapshot
  * various menus.cfg corrections
  * added missing pixmaps
  * depend on ncurses-term for terminfo definitions 

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 16 May 2001 19:01:34 -0400

eterm (0.9.1-0pre2001051101) unstable; urgency=low

  * Debian pre-release of eterm 0.9.1
  * updated standards version to 3.5.4.0
  * deprecated eterm-ml, ml support is standard
  * reworte debian/rules
  * removed dh_testversion and dh_suidregister
  * removed extraneous config.in tests
  * removed extraneous menu pixmap entries
  * added Etsearch and kEsetroot to eterm-utils.1
  * added HOME/END key info to README.Debian, Closes: #97139
  * removed doc-base entries, possibly temporarily

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 May 2001 21:38:15 -0400

eterm (0.9.0-9) unstable; urgency=low

  * removed $(debug) from debian/rules
  * versioned debhelper build-depend
  * debian/control update, courtesy of
  * Branden Robinson's <branden@debian.org> debian/control update
    + change build-dependency from xlib6g-dev to xlibs-dev
    + eterm and eterm-ml provide eterm-backgrounds
    + eterm-ml replaces eterm-backgrounds
    + tweaked package descriptions


=== debian/control ===
Source: eterm
Section: x11
Priority: optional
Maintainer: Laurence J. Lane <ljlane@debian.org>
Standards-Version: 3.5.4.0
Build-Depends: libimlib2-dev, debhelper (>=3.0), xlibs-dev, libttf-dev, libast1-dev (>=0.4)

Package: eterm
Architecture: any
Depends: ${shlibs:Depends}
Provides: x-terminal-emulator, eterm-backgrounds
Conflicts: eterm-backgrounds, eterm-ml
Replaces: eterm-ml, eterm-backgrounds
Depends: ncurses-term, ${shlibs:Depends}
Description: Enlightened Terminal Emulator
 A terminal emulator in the spirit of xterm or rxvt, eterm uses an
 Enlightenment style config file, as well as themes.  The Imlib graphics
 engine is used to render images.  This version supports background images,
 pixmapped scrollbars, pseudo-transparency, POSIX threads, and unicode
 support.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

export DH_COMPAT=3

BUILDDIR = $(CURDIR)/debian/build
INSTALL = /usr/bin/install -p
STAMP = touch $@
CFLAGS = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

build: config $(BUILDDIR)/build-stamp
$(BUILDDIR)/build-stamp:

	dh_testdir
	$(MAKE) -C $(BUILDDIR)
	$(STAMP)

config: $(BUILDDIR)/config-stamp
$(BUILDDIR)/config-stamp:
	
	$(INSTALL) -d $(BUILDDIR)
	cd $(BUILDDIR); \
	CFLAGS="$(CFLAGS)" $(CURDIR)/configure \
	--prefix=/usr \
	--mandir=/usr/share/man \
	--enable-xim \
	--with-backspace=del \
	--with-delete=execute \
	--enable-share=yes \
	--enable-static=no \
	--enable-mmx=no \
	--enable-multi-charset=unicode 
	$(STAMP)

clean:
	dh_testdir
	rm -rf $(BUILDDIR)
	-$(MAKE) distclean
	dh_clean

install: DH_OPTIONS=
install: install-stamp
install-stamp: build
	$(MAKE) install DESTDIR=$(CURDIR)/debian/eterm -C $(BUILDDIR)
	$(INSTALL) -m 755 -d debian/eterm/usr/share/man/man1/
	$(INSTALL) -m 644 debian/eterm-utils.1 debian/eterm/usr/share/man/man1/
	$(STAMP)

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_compress
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-peterm binary-common

binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build config clean binary-indep binary-arch binary install






# there is nothing to see here, move along, please
prep:
	# it's not that funny, really
	perl -ni -e '/humor/../^fi$$/ or print' configure.ac configure.in

	# we don't like rpath
	perl -pi -e 's/^(Eterm|Esetroot)_LDFLAGS =.*$$//' \
	   $$(find . -name Makefile.am -o -name Makefile.in)

	# autotools walk through, skip ./configure
	sed '/configure/d' autogen.sh | sh

        # remove non-existant menu pixmap entries
	find $(CURDIR) -name menus.cfg -print | xargs newscan.rb

   	# James Troup keeps beating me about the head and neck over this
	cp -v /usr/share/misc/config.guess $(CURDIR)
	cp -v /usr/share/misc/config.sub $(CURDIR)

	# CVS and autogen cruftola
	find . -name autom4te.cache -o -name CVS -o -name CVS\* -o -name .cvs\* | xargs -r rm -rfv

.PHONY: prep

## eterm 0.9.6

=== debian/changelog ===
eterm (0.9.6-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build ding with GCC-14 (Closes: #1074940)
    and test against today's libast2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 22:49:17 +0200

eterm (0.9.6-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Steve Langasek <steve.langasek@canonical.com> to fix
    FTBFS. (Closes: #1066342)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 May 2024 20:22:04 +0200

eterm (0.9.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused Build-Depends: libpcre3-dev. Closes: #1000101.

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jul 2023 20:01:59 +0200

eterm (0.9.6-7) unstable; urgency=medium

  * Fix FTBFS with imlib2 1.9.1. Closes: #1018023.
    Thanks to Matthew Vernon for pointing me to the patch used by netbsd.

 -- José Antonio Jiménez Madrid <donjosemadrid@gmail.com>  Fri, 10 Mar 2023 21:03:30 +0100

eterm (0.9.6-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch from rxvt-unicode to fix CVE-2021-33477.
    (Closes: #989041)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Jun 2021 01:11:10 +0530

eterm (0.9.6-6) unstable; urgency=low

  * New maintainer. Closes: #620507.
  * debian/control: Change Build-Depends from man2html to man2html-base
    to allow cross build from source.
    Thanks to Helmut Grohne for the patch. Closes: #902481.
  * debian/rules: Added hardening=+all to DEB_BUILD_MAINT_OPTIONS.
  * Standards-Version bumped to 3.9.7.

 -- José Antonio Jiménez Madrid <donjosemadrid@gmail.com>  Mon, 22 Oct 2018 17:12:27 +0200

eterm (0.9.6-5) unstable; urgency=medium

  * QA upload.
  * Rename all patches to have .patch ending.
  * Fix Esetroot on PseudoColor visual. Closes: #728813.
    Thanks to Kevin Ryde for the patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Jan 2017 19:02:04 +0100

eterm (0.9.6-4) unstable; urgency=medium

  * QA upload.
  * Eterm now should run shell correctly. Closes: #770369.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 05 Mar 2016 17:22:26 +0100

eterm (0.9.6-3) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/manpage-is-dated-2008-08-17 to hardcode
    manpage date to the timestamp it has in upstream tarball.
  * debian/control: Pre-Depends: ${misc:Pre-Depends}.
  * debian/rules: Obsolete builddir stuff and use standard dh.
  * debian/eterm.lintian: Update to current version.
  * Add debian/patches/typos-in-eterm-1-in. Closes: #351426.
  * Add debian/patches/typos-in-eterm-reference-html.
  * Fix typo in eterm-utils.1. Closes: #351427.

 -- Santiago Vila <sanvila@debian.org>  Sun, 06 Sep 2015 19:18:02 +0200

eterm (0.9.6-2) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * We will do fine without using the build date.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 00:27:16 +0200

eterm (0.9.6-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
    (Closes: #502316).
  * Add debian/source/format.
  * Remove patch 000_build_hacks.diff
  * Drop quilt as build-depend (no more patches left) and remove patch target
    in debian/rules.
  * debian/control: add Homepage.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 21 May 2012 20:34:33 +0200

eterm (0.9.5-5) unstable; urgency=low

  * QA upload.
  * Provide build-arch target in debian/builddir.mk to fix FTBFS.
    (Closes: #666367).

 -- Emanuele Rocca <ema@debian.org>  Thu, 10 May 2012 15:30:12 +0000

eterm (0.9.5-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Pre-Depend on multiarch-support to ensure libEterm.so can be found by the
    dynamic linker at every point during an upgrade.
  * Standards-Version bumped to 3.9.3.
  * debian/eterm.copyright renamed to debian/copyright as per Debian Policy
    Manual section 12.5.
  * ${misc:Depends} added to the dependencies.
  * Text of the BSD license included in debian/copyright.
  * Debhelper compatibility version set to 9.

 -- Emanuele Rocca <ema@debian.org>  Thu, 10 May 2012 11:05:01 +0200

eterm (0.9.5-3) unstable; urgency=low

  * QA upload.
  * Don't ship .la files (Closes: #621226).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 11:52:11 +0200

eterm (0.9.5-2) unstable; urgency=low

  * New maintainer. (Closes: #492496)
  * The set RPATH in eterm has been removed in this revision, therefore two
    lintian overrides has been deleted.
  * debian/control: eterm Build-Depends on chrpath.
  * debian/compat: was updated to 7.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 02 Aug 2008 10:21:21 -0430

eterm (0.9.5-1) unstable; urgency=low

  * New upstream version
  * converted build to debhelper 7
  * orphaned package

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 26 Jul 2008 02:41:48 -0400

eterm (0.9.4.0debian1-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix opening the terminal on display :0 if no DISPLAY environment
    variable is specified to prevent local attackers from highjacking
    X11 connections in certain environments (CVE-2008-1692; Closes: #473127)

 -- Nico Golde <nion@debian.org>  Tue, 15 Apr 2008 19:15:59 +0200

eterm (0.9.4.0debian1-2) unstable; urgency=low

  * debian/copyright: uploaded wrong copy in 0.9.4.0debian1-1

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Oct 2006 11:11:27 -0400

eterm (0.9.4.0debian1-1) unstable; urgency=low

  * New upstream release
  * removed src/grkelot.c and src/gkrelot.h from the orig.tar.gz
  * gkrelot removal and upstream license corrections closes: 359707
  * debian/copyright: added file specific license and copyright info
  * updated standards version to 3.7.2.1
  * removed doc/Eterm.tcap for now

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Oct 2006 13:12:49 -0400

eterm (0.9.3-1) unstable; urgency=low

  * New upstream version + 20060111 CVS pull
  * build depend on libast2-dev (>= 0.7)
  * dropped src/command.c patch introduced in 0.9.2-8.1



=== debian/control ===
Source: eterm
Section: x11
Priority: optional
Maintainer: José Antonio Jiménez Madrid <donjosemadrid@gmail.com>
Homepage: http://www.eterm.org/
Standards-Version: 3.9.7
Build-Depends: man2html-base, libxmu-dev,libsm-dev, libice-dev, libxext-dev, libx11-dev, libxt-dev, libimlib2-dev, libast2-dev (>= 0.7), debhelper (>=9), automake, autoconf, libtool, gettext, cvs, chrpath

Package: eterm
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Provides: x-terminal-emulator, eterm-backgrounds
Conflicts: eterm-backgrounds, eterm-ml
Replaces: eterm-ml, eterm-backgrounds
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enlightened Terminal Emulator
 A terminal emulator in the spirit of xterm or rxvt, eterm uses an
 Enlightenment style config file, as well as themes.  The Imlib2 graphics
 engine is used to render images. This version supports background images,
 pixmapped scrollbars, pseudo-transparency, and POSIX threads.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# not great, not terrible
export DEB_CFLAGS_MAINT_APPEND = -Wno-compare-distinct-pointer-types -Wno-incompatible-pointer-types -Wno-int-conversion

%:
	dh $@

include debian/config.mk

override_dh_auto_configure:
	libtoolize -f
	autoreconf -fi
	dh_auto_configure -- $(config_opts)

override_dh_auto_install:
	dh_auto_install
	rm `find debian/eterm -name '*.la'`
	install -D -m0644 debian/eterm.lintian \
		debian/eterm/usr/share/lintian/overrides/eterm
	chrpath -d debian/eterm/usr/bin/Eterm
	chrpath -d debian/eterm/usr/bin/Esetroot
